<?php
    /*
    Plugin Name: Обратный звонок
    Plugin URI: http://www.shopos.ru/
    Description: Можно заказать обратный звонок.
    Version: 1.2
    Author: Матецкий Евгений
    Author URI: http://www.shopos.ru/
    */

    add_action('page', 'call_back_page');
    add_action('page', 'call_back_submit_page');
    add_action('box', 'call_back_box');


    /*function call_back_box()
    {
    global $osTemplate;

    $aaa = "onclick=\"javascript:window.open('".http_path('catalog')."index.php?page=call_back_page"."', 'popup', 'toolbar=0, width=640, height=600')\"";

    $code = '		<div style="float: right; margin-top: 145px; margin-right: 70px; text-align: right; width: 255px; vertical-align: top;">
    <a '.$aaa.'><img src="'.plugurl().'operator.jpg" style="float: right;"></a>
    <div style="width: 115px; margin-top: 15px; margin-right: 7px; color:#727272;"><a '.$aaa.' style="color:#727272; font-weight: bold;">Закажите</a> звонок, задайте свои вопросы</div>																	
    </div>';

    $osTemplate->assign('call_back', $code);
    }
    */

    function call_back_box()
    {
        global $osTemplate;

        $aaa = "onclick=\"javascript:window.open('".http_path('catalog')."index.php?page=call_back_page"."', 'popup', 'toolbar=0, width=640, height=600')\"";

        $code = '<a '.$aaa.' style="color:#727272; font-weight: bold;">Закажите</a> звонок, задайте свои вопросы	<br />		
        <a '.$aaa.'><img src="'.plugurl().'operator.jpg" ></a>

        ';

        //$osTemplate->assign('call_back', $code);

        return array('title' => 'Заказ звонка', 'content' =>$code);
    }


    function call_back_page()
    {
        include( dirname(__FILE__) . '/call_back.page.php');
    }


    //установка плагина
    function call_back_install()
    {
        $text = 'Заказ звонка!
        Тема: {$SUBJECT}
        Имя: {$FIRSTNAME}
        Телефон: {$PHONE}
        E-mail: {$EMAIL}
        Время звонка: {$TIME}

        Сообщение:
        {$MESSAGE}';

        add_option('call_back_mail', STORE_OWNER_EMAIL_ADDRESS, 'input');
        add_option('call_back_subject', 'Заказ обратного звонка', 'input');
        add_option('call_back_tpl', $text, 'textarea');

    }

    //отправляем сообщение   
    function call_back_submit_page()
    { 
        $_SESSION['call_back_error'] = '';
        $_SESSION['call_back'] = $_POST;

        //проверка капчи
        if ($_POST['keystring'] == $_SESSION['captcha_keystring'])
        {
            //ошибка. поле имя пустое
            if ( empty($_POST['name']) )
            {
                $_SESSION['call_back_error'] = 'Укажите Ваше имя';
                @ header('Location: '.http_path('catalog')."index.php?page=call_back_page");
            }	   

            //phone
            if ( empty($_POST['phone']) )
            {
                $_SESSION['call_back_error'] = 'Укажите Ваш телефон';
                @ header('Location: '.http_path('catalog')."index.php?page=call_back_page");
            }

            $mail_tpl = get_option('call_back_tpl');

            $array1[0] = '{$FIRSTNAME}';
            $array2[0] = $_POST['name'];

            $array1[1] = '{$EMAIL}';
            $array2[1] = $_POST['email'];

            $array1[2] = '{$SUBJECT}';

            switch ($_POST['subject'])
            {
                case 0:
                    $subject = '---';
                    break;    

                case 1:
                    $subject = 'Сделать заказ';
                    break;	 

                case 2:
                    $subject = 'Узнать о состоянии заказа';
                    break;	 

                case 3:
                    $subject = 'Вопрос';
                    break;	

                case 4:
                    $subject = 'Предложение';
                    break;	

                case 5:
                    $subject = 'Другое...';
                    break;	

            }

            $array2[2] = $subject;

            $array1[3] = '{$MESSAGE}';
            $array2[3] = $_POST['comment'];

            $array1[4] = '{$PHONE}';
            $array2[4] = $_POST['phone'];

            $array1[5] = '{$TIME}';
            $call_day = '--';

            switch ($_POST['call_day'])
            {
                case 0:
                    $call_day = 'Сейчас';
                    break;    

                case 1:
                    $call_day = 'Сегодня, в другое время'."\n";
                    $call_day .= 'с '.$_POST['time_from'].' до '.$_POST['time_to'];
                    break;	 

                case 2:
                    $call_day = 'Завтра';
                    break;	 

                case 3:
                    $call_day = 'Послезавтра';
                    break;	
            }

            $array2[5] = $call_day;




            $mail_tpl = str_replace($array1, $array2 ,$mail_tpl);
            $call_back_subject = get_option('call_back_subject');
            $call_back_mail= get_option('call_back_mail');

           @ mail( get_option('call_back_mail'), $call_back_subject, $mail_tpl);
            $_SESSION['call_back_error'] = '';
            echo '<font color="green"><b>Сообщение успешно отправлено</b></font>';
        }
        else
        {
            $_SESSION['call_back_error'] = 'Неверный код';
            @ header('Location: '.http_path('catalog')."index.php?page=call_back_page");
        }
    }
?>